<?php
/**
 * MyBB 1.0
 * Copyright  2005 MyBulletinBoard Group, All Rights Reserved
 *
 * Website: http://www.mybboard.com
 * License: http://www.mybboard.com/eula.html
 *
 * $Id: mysql_db_inserts.php 683 2005-09-03 06:49:20Z k776 $
 */

$inserts[] = "INSERT INTO mybb_adminoptions (uid, cpstyle, notes, permsset, caneditsettings, caneditann, caneditforums, canmodposts, caneditsmilies, caneditpicons, caneditthemes, canedittemps, caneditusers, caneditpfields, caneditugroups, caneditaperms, caneditutitles, caneditattach, canedithelp, canrunmaint) VALUES (-1, '', '', 1, 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'no', 'yes', 'yes', 'yes', 'yes');";

$inserts[] = "INSERT INTO mybb_attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (1, 'Zip File', 'application/zip', 'zip', 1024, 'images/attachtypes/zip.gif');";
$inserts[] = "INSERT INTO mybb_attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (2, 'JPEG Image', 'image/jpeg', 'jpg', 500, 'images/attachtypes/image.gif');";
$inserts[] = "INSERT INTO mybb_attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (3, 'Text Document', 'text/plain', 'txt', 200, 'images/attachtypes/txt.gif');";
$inserts[] = "INSERT INTO mybb_attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (4, 'GIF Image', 'image/gif', 'gif', 500, 'images/attachtypes/image.gif');";
$inserts[] = "INSERT INTO mybb_attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (6, 'PHP File', 'application/octet-stream', 'php', 500, 'images/attachtypes/php.gif');";
$inserts[] = "INSERT INTO mybb_attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (7, 'PNG Image', 'image/png', 'png', 500, 'images/attachtypes/image.gif');";
$inserts[] = "INSERT INTO mybb_attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (8, 'Microsoft Word Document', 'application/msword', 'doc', 1024, 'images/attachtypes/doc.gif');";
$inserts[] = "INSERT INTO mybb_attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (9, '', 'application/octet-stream', 'htm', 100, 'images/attachtypes/html.gif');";
$inserts[] = "INSERT INTO mybb_attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (10, '', 'application/octet-stream', 'html', 100, 'images/attachtypes/html.gif');";
$inserts[] = "INSERT INTO mybb_attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (11, '', 'image/jpeg', 'jpeg', 500, 'images/attachtypes/image.gif');";
$inserts[] = "INSERT INTO mybb_attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (12, '', 'application/x-gzip', 'gz', 1024, 'images/attachtypes/tgz.gif');";
$inserts[] = "INSERT INTO mybb_attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (13, '', 'application/x-tar', 'tar', 1024, 'images/attachtypes/tar.gif');";
$inserts[] = "INSERT INTO mybb_attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (14, '', 'text/css', 'css', 100, '');";
$inserts[] = "INSERT INTO mybb_attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (15, '', 'application/pdf', 'pdf', 2048, 'images/attachtypes/pdf.gif');";
$inserts[] = "INSERT INTO mybb_attachtypes (atid, name, mimetype, extension, maxsize, icon) VALUES (16, '', 'image/bmp', 'bmp', 500, 'images/attachtypes/image.gif');";

$inserts[] = "INSERT INTO mybb_forums (fid, name, description, linkto, type, pid, parentlist, disporder, active, open, threads, posts, moderators, lastpost, lastposter, lastposttid, allowhtml, allowmycode, allowsmilies, allowimgcode, allowpicons, allowtratings, status, usepostcounts, password, showinjump, modposts, modthreads, modattachments, style, overridestyle, rulestype, rulestitle, rules) VALUES (1, 'My Category', '', '', 'c', 0, '1', 1, 'yes', 'yes', 0, 0, '', 0, '0', 0, 'no', 'yes', 'yes', 'yes', 'yes', 'yes', 1, 'yes', '', 'yes', 'no', 'no', 'no', 0, 'no', 0, '', '');";
$inserts[] = "INSERT INTO mybb_forums (fid, name, description, linkto, type, pid, parentlist, disporder, active, open, threads, posts, moderators, lastpost, lastposter, lastposttid, allowhtml, allowmycode, allowsmilies, allowimgcode, allowpicons, allowtratings, status, usepostcounts, password, showinjump, modposts, modthreads, modattachments, style, overridestyle, rulestype, rulestitle, rules) VALUES (2, 'My Forum', '', '', 'f', 1, '1,2', 1, 'yes', 'yes', 0, 0, '', 0, '0', 0, 'no', 'yes', 'yes', 'yes', 'yes', 'yes', 1, 'yes', '', 'yes', 'no', 'no', 'no', 0, 'no', 0, '', '');";

$inserts[] = "INSERT INTO mybb_helpdocs (hid, sid, name, description, document, usetranslation, enabled, disporder) VALUES (1, 1, 'User Registration', 'Perks and privileges to user registration.', 'Some parts of this forum may require you to be logged in and registered. Registration is free and takes a few minutes to complete.<br>\r\n<br>\r\nYou are encouraged to register; once you register you will be able to post messages, set your own preferences, and maintain a profile.<br>\r\n<br>\r\nSome of the features that generally require registration are subscriptions, favorites, changing of styles, accessing of your myPad (simple notepad) and emailing forum members.', 'yes', 'yes', 1);";
$inserts[] = "INSERT INTO mybb_helpdocs (hid, sid, name, description, document, usetranslation, enabled, disporder) VALUES (2, 1, 'Updating Profile', 'Changing your data currently on record.', 'At some point during your stay, you may decide you need to update some information such as your instant messenger information, your password, or perhaps you need to change your email address. You may change any of this information from your user control panel. To access this control panel, simply click on the link in the upper right hand corner of most any page entitled \"user cp\". From there, simply choose \"Edit Profile\" and change or update any desired items, then proceed to click the submit button located at the bottom of the page for changes to take effect.', 'yes', 'yes', 2);";
$inserts[] = "INSERT INTO mybb_helpdocs (hid, sid, name, description, document, usetranslation, enabled, disporder) VALUES (3, 1, 'Use of Cookies on myBB', 'myBB uses cookies to store certain information about your registration.', 'myBulletinBoard makes use of cookies to store your login information if you are registered, and your last visit if you are not.<br>\r\n<br>\r\nCookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk.<br>\r\n<br>\r\nCookies on this forum also track the specific topics you have read and when you last read them.<br>\r\n<br>\r\nTo clear all cookies set by this forum, you can click <a href=\"misc.php?action=clearcookies\">here</a>.', 'yes', 'yes', 3);";
$inserts[] = "INSERT INTO mybb_helpdocs (hid, sid, name, description, document, usetranslation, enabled, disporder) VALUES (4, 1, 'Logging In and Out', 'How to login and logout.', 'When you login, you set a cookie on your machine so that you can browse the forums without having to enter in your username and password each time. Logging out clears that cookie to ensure nobody else can browse the forum as you.<br>\r\n<br>\r\nTo login, simply click the login link at the top right hand corner of the forum. To logout, click the logout link in the same place. In the event you cannot logout, clearing cookies on your machine will take the same effect.', 'yes', 'yes', 4);";
$inserts[] = "INSERT INTO mybb_helpdocs (hid, sid, name, description, document, usetranslation, enabled, disporder) VALUES (5, 2, 'Posting a New Topic', 'Starting a new thread in a forum.', 'When you go to a forum you are interested in and you wish to create a new topic (or thread), simply choose the button at the top and bottom of the forums entitled \"New topic\". Please take note that you may not have permission to post a new topic in every forum as your administrator may have restricted posting in that forum to staff or archived the forum entirely.', 'yes', 'yes', 1);";
$inserts[] = "INSERT INTO mybb_helpdocs (hid, sid, name, description, document, usetranslation, enabled, disporder) VALUES (6, 2, 'Posting a Reply', 'Replying to a topic within a forum.', 'During the course of your visit, you may encounter a thread to which you would like to make a reply. To do so, simply click the \"Post reply\" button at the bottom or top of the thread. Please take note that your administrator may have restricted posting to certain individuals in that particular forum.<br>\r\n<br>\r\nAdditionally, a moderator of a forum may have closed a thread meaning that users cannot reply to it. There is no way for a user to open such a thread without the help of a moderator or administrator.', 'yes', 'yes', 2);";
$inserts[] = "INSERT INTO mybb_helpdocs (hid, sid, name, description, document, usetranslation, enabled, disporder) VALUES (7, 2, 'myCode', 'Learn how to use myCode to enhance your posts.', 'You can use myCode, a simplified version of HTML, in your posts to create certain effects.\r\n<p><br>\r\n[b]This text is bold[/b]<br>\r\n&nbsp;&nbsp;&nbsp;<b>This text is bold</b>\r\n<p>\r\n[i]This text is italicized[/i]<br>\r\n&nbsp;&nbsp;&nbsp;<i>This text is italicized</i>\r\n<p>\r\n[u]This text is underlined[/u]<br>\r\n&nbsp;&nbsp;&nbsp;<u>This text is underlined</u>\r\n<p><br>\r\n[url]http://www.example.com/[/url]<br>\r\n&nbsp;&nbsp;&nbsp;<a href=\"http://www.example.com/\">http://www.example.com/</a>\r\n<p>\r\n[url=http://www.example.com/]Example.com[/url]<br>\r\n&nbsp;&nbsp;&nbsp;<a href=\"http://www.example.com/\">Example.com</a>\r\n<p>\r\n[email]example@example.com[/email]<br>\r\n&nbsp;&nbsp;&nbsp;<a href=\"mailto:example@example.com\">example@example.com</a>\r\n<p>\r\n[email=example@example.com]E-mail Me![/email]<br>\r\n&nbsp;&nbsp;&nbsp;<a href=\"mailto:example@example.com\">E-mail Me!</a>\r\n<p>\r\n[email=example@example.com?subject=spam]E-mail with subject[/email]<br>\r\n&nbsp;&nbsp;&nbsp;<a href=\"mailto:example@example.com?subject=spam\">E-mail with subject</a>\r\n<p><br>\r\n[quote]Quoted text will be here[/quote]<br>\r\n&nbsp;&nbsp;&nbsp;<quote>Quoted text will be here</quote>\r\n<p>\r\n[code]Text with preserved formatting[/code]<br>\r\n&nbsp;&nbsp;&nbsp;<code>Text with preserved formatting</code>\r\n<p><br>\r\n[img]http://www.php.net/images/php.gif[/img]<br>\r\n&nbsp;&nbsp;&nbsp;<img src=\"http://www.php.net/images/php.gif\">\r\n<p>\r\n[img=50x50]http://www.php.net/images/php.gif[/img]<br>\r\n&nbsp;&nbsp;&nbsp;<img src=\"http://www.php.net/images/php.gif\" width=\"50\" height=\"50\">\r\n<p><br>\r\n[color=red]This text is red[/color]<br>\r\n&nbsp;&nbsp;&nbsp;<font color=\"red\">This text is red</font>\r\n<p>\r\n[size=3]This text is size 3[/size]<br>\r\n&nbsp;&nbsp;&nbsp;<font size=\"3\">This text is size 3</font>\r\n<p>\r\n[font=Tahoma]This font is Tahoma[/font]<br>\r\n&nbsp;&nbsp;&nbsp;<font face=\"Tahoma\">This font is Tahoma</font>\r\n<p><br>\r\n[align=center]This is centered[/align]<div align=\"center\">This is centered</div>\r\n<p>\r\n[align=right]This is right-aligned[/align]<div align=\"right\">This is right-aligned</div>\r\n<p><br>\r\n[list]<br />\r\n[*]List Item #1<br>\r\n[*]List Item #2<br>\r\n[*]List Item #3<br>\r\n[/list]<br>\r\n<ul>\r\n<li>List item #1</li>\r\n<li>List item #2</li>\r\n<li>List Item #3</li>\r\n</ul><p><font size=1>You can make an ordered list by using [list=1] for a numbered, and [list=a] for an alphabetical list.</size>', 'yes', 'yes', 3);";

$inserts[] = "INSERT INTO mybb_helpsections (sid, name, description, usetranslation, enabled, disporder) VALUES (1, 'User Maintenance', 'Basic instructions for maintaining a forum account.', 'yes', 'yes', 1);";
$inserts[] = "INSERT INTO mybb_helpsections (sid, name, description, usetranslation, enabled, disporder) VALUES (2, 'Posting', 'Posting, replying, and basic usage of forum.', 'yes', 'yes', 2);";

$inserts[] = "INSERT INTO mybb_icons (iid, name, path) VALUES (1, 'myBB', 'images/icons/my.gif');";
$inserts[] = "INSERT INTO mybb_icons (iid, name, path) VALUES (2, 'Exclamation', 'images/icons/exclamation.gif');";
$inserts[] = "INSERT INTO mybb_icons (iid, name, path) VALUES (3, 'Question', 'images/icons/question.gif');";
$inserts[] = "INSERT INTO mybb_icons (iid, name, path) VALUES (4, 'Smile', 'images/icons/smile.gif');";
$inserts[] = "INSERT INTO mybb_icons (iid, name, path) VALUES (5, 'Sad', 'images/icons/sad.gif');";
$inserts[] = "INSERT INTO mybb_icons (iid, name, path) VALUES (6, 'Wink', 'images/icons/wink.gif');";
$inserts[] = "INSERT INTO mybb_icons (iid, name, path) VALUES (7, 'Cool', 'images/icons/cool.gif');";
$inserts[] = "INSERT INTO mybb_icons (iid, name, path) VALUES (8, 'Big Grin', 'images/icons/biggrin.gif');";
$inserts[] = "INSERT INTO mybb_icons (iid, name, path) VALUES (9, 'Toungue', 'images/icons/tongue.gif');";
$inserts[] = "INSERT INTO mybb_icons (iid, name, path) VALUES (10, 'Rolleyes', 'images/icons/rolleyes.gif');";
$inserts[] = "INSERT INTO mybb_icons (iid, name, path) VALUES (11, 'Shy', 'images/icons/shy.gif');";
$inserts[] = "INSERT INTO mybb_icons (iid, name, path) VALUES (16, '', 'images/icons/at.gif');";

$inserts[] = "INSERT INTO mybb_profilefields (fid, name, description, disporder, type, length, maxlength, required, editable, hidden) VALUES (1, 'Location', 'Where in the world do you live?', 1, 'text', 0, 255, 'no', 'yes', 'no');";
$inserts[] = "INSERT INTO mybb_profilefields (fid, name, description, disporder, type, length, maxlength, required, editable, hidden) VALUES (2, 'Bio', 'Enter a few short details about yourself, your life story etc.', 2, 'textarea', 0, 0, 'no', 'yes', 'no');";
$inserts[] = "INSERT INTO mybb_profilefields (fid, name, description, disporder, type, length, maxlength, required, editable, hidden) VALUES (3, 'Sex', 'Please select your sex from the list below.', 0, 'select\nUndisclosed\r\nMale\r\nFemale\r\nOther', 0, 0, 'no', 'yes', 'no');";

$inserts[] = "INSERT INTO mybb_settinggroups (gid, name, description, disporder, isdefault) VALUES (1, 'General Configuration', 'This section contains various settings such as your board name and url, as well as your website name and url.', 2, 'yes');";
$inserts[] = "INSERT INTO mybb_settinggroups (gid, name, description, disporder, isdefault) VALUES (3, 'Date and Time Formats', 'Here you can specify the different date and time formats used to display dates and times on the forums.', 4, 'yes');";
$inserts[] = "INSERT INTO mybb_settinggroups (gid, name, description, disporder, isdefault) VALUES (7, 'Forum Display Options', 'This section allows you to manage the various settings used on the forum display (forumdisplay.php) of your boards such as enabling and disabling different features.', 6, 'yes');";
$inserts[] = "INSERT INTO mybb_settinggroups (gid, name, description, disporder, isdefault) VALUES (8, 'Show Thread Options', 'This section allows you to manage the various settings used on the thread display page (showthread.php) of your boards such as enabling and disabling different features.', 7, 'yes');";
$inserts[] = "INSERT INTO mybb_settinggroups (gid, name, description, disporder, isdefault) VALUES (11, 'Private Messaging', 'Various options with relation to the MyBB Private Messaging system (private.php) can be managed and set here.', 11, 'yes');";
$inserts[] = "INSERT INTO mybb_settinggroups (gid, name, description, disporder, isdefault) VALUES (12, 'Member List', 'This section allows you to control various aspects of the board member listing (memberlist.php), such as how many members to show per page, and which features to enable or disable.', 10, 'yes');";
$inserts[] = "INSERT INTO mybb_settinggroups (gid, name, description, disporder, isdefault) VALUES (13, 'Posting', 'These options control the various elements in relation to posting messages on the forums.', 9, 'yes');";
$inserts[] = "INSERT INTO mybb_settinggroups (gid, name, description, disporder, isdefault) VALUES (14, 'Banning Options', '', 15, 'yes');";
$inserts[] = "INSERT INTO mybb_settinggroups (gid, name, description, disporder, isdefault) VALUES (16, 'Forum Home Options', 'This section allows you to manage the various settings used on the forum home (index.php) of your boards such as enabling and disabling different features.', 5, 'yes');";
$inserts[] = "INSERT INTO mybb_settinggroups (gid, name, description, disporder, isdefault) VALUES (17, 'Calendar', 'The board calendar allows the public and private listing of events and members'' birthdays. This section allows you to control and manage the settings for the Calendar.', 12, 'yes');";
$inserts[] = "INSERT INTO mybb_settinggroups (gid, name, description, disporder, isdefault) VALUES (27, 'Server and Optimization Options', 'These options allow you to set various server and optimization preferences allowing you to reduce the load on your server, and gain better performance on your board.', 3, 'yes');";
$inserts[] = "INSERT INTO mybb_settinggroups (gid, name, description, disporder, isdefault) VALUES (19, 'User Registration and Profile Options', 'Here you can control various settings with relation to user account registration and account management.', 8, 'yes');";
$inserts[] = "INSERT INTO mybb_settinggroups (gid, name, description, disporder, isdefault) VALUES (20, 'Clickable Smilies and BB Code', '', 17, 'yes');";
$inserts[] = "INSERT INTO mybb_settinggroups (gid, name, description, disporder, isdefault) VALUES (23, 'Who\'s Online', '', 13, 'yes');";
$inserts[] = "INSERT INTO mybb_settinggroups (gid, name, description, disporder, isdefault) VALUES (26, 'Board Online / Offline', 'These settings allow you to globally turn your forums online or offline, and allow you to specify a reason for turning them off.', 1, 'yes');";
$inserts[] = "INSERT INTO mybb_settinggroups (gid, name, description, disporder, isdefault) VALUES (28, 'Control Panel Preferences (Global)', '', 19, 'yes');";
$inserts[] = "INSERT INTO mybb_settinggroups (gid, name, description, disporder, isdefault) VALUES (30, 'Portal Settings', '', 14, 'yes');";

$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (1, 'boardclosed', 'Board Closed', 'If you need to close your forums to make some changes or perform an upgrade, this is the global switch. Viewers will not be able to view your forums, however, they will see a message with the reason you specify below.<br>\r\n<br>\r\n<b>Administrators will still be able to view the forums.</b>', 'yesno', 'no', 1, 26);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (2, 'boardclosed_reason', 'Board Closed Reason', 'If your forum is closed, you can set a message here that your visitors will be able to see when they visit your forums.', 'textarea', 'These forums are currently closed for maintenance. Please check back later.', 2, 26);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (3, 'bbname', 'Board Name', 'The name of your message boards. We recommend that it is not over 75 characters.', 'text', 'Your Forums', 1, 1);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (4, 'bburl', 'Board URL', 'The url to your forums.<br>Include the http://. Do NOT include a trailing slash.', 'text', 'http://', 2, 1);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (5, 'homename', 'Homepage Name', 'The name of your homepage. This will appear in the footer with a link to it.', 'text', 'Your Website', 3, 1);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (6, 'homeurl', 'Homepage URL', 'The full URL of your homepage. This will be linked to in the footer along with its name.', 'text', 'http://', 4, 1);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (7, 'dateformat', 'Date Format', 'The format of the dates used on the forum. This format uses the PHP date() function. We recommend not changing this unless you know what you''re doing.', 'text', 'm-d-Y', 1, 3);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (8, 'adminemail', 'Admin Email', 'The administrator''s email address. This will be used for outgoing emails sent via the forums.', 'text', 'root@localhost', 5, 1);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (9, 'timeformat', 'Time Format', 'The format of the times used on the forum. This format uses PHP''s date() function. We recommend not changing this unless you know what you''re doing.', 'text', 'h:i A', 2, 3);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (10, 'threadsperpage', 'Threads Per Page', '', 'text', '20', 1, 7);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (12, 'hottopic', 'Replies For Hot Topic', 'The number of replies that is needed for a topic to be considered ''hot''.', 'text', '20', 3, 7);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (13, 'cookiedomain', 'Cookie Domain', 'The domain which cookies should be set to. This can remain blank. It should also start with a . so it covers all subdomains.', 'text', '', 8, 1);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (14, 'cookiepath', 'Cookie Path', 'The path which cookies are set to, we recommend setting this to the full directory path to your forums with a trailing slash.', 'text', '', 9, 1);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (16, 'postsperpage', 'Posts Per Page:', 'The number of posts to display per page. We recommend its not higher than 20 for people with slower connections.', 'text', '10', 1, 8);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (17, 'regdateformat', 'Registered Date Format', 'The format used on showthread where it shows when the user registered.', 'text', 'M Y', 3, 3);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (18, 'sigmycode', 'Allow myCode in Signatures', 'Do you want to allow myCode to be used in users'' signatures?', 'yesno', 'yes', 1, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (19, 'sigsmilies', 'Allow Smilies in Signatures', 'Do you want to allow smilies to be used in users'' signatures?', 'yesno', 'yes', 3, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (20, 'sightml', 'Allow HTML in Signatures', 'Do you want to allow HTML to be used in users'' signatures?', 'yesno', 'no', 4, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (21, 'sigimgcode', 'Allow [img] Code in Signatures', 'Do you want to allow [img] code to be used in users'' signatures?', 'yesno', 'yes', 5, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (24, 'threadusenetstyle', 'Usenet Style Thread View', 'Selecting yes will cause posts to look similar to how posts look in USENET. No will cause posts to look the modern way.', 'yesno', 'no', 4, 8);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (25, 'pmsallowhtml', 'Allow HTML', 'Selecting yes will allow HTML to be used in private messages.', 'yesno', 'no', 1, 11);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (26, 'pmsallowmycode', 'Allow myCode', 'Selecting yes will allow myCode to be used in private messages.', 'yesno', 'yes', 2, 11);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (27, 'pmsallowsmilies', 'Allow Smilies', 'Selecting yes will allow Smilies to be used in private messages.', 'yesno', 'yes', 3, 11);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (28, 'pmsallowimgcode', 'Allow [img] Code', 'Selecting yes will allow [img] Code to be used in private messages.', 'yesno', 'yes', 4, 11);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (29, 'siglength', 'Length limit in Signatures', 'The maximum number of characters a user can place in a signature.', 'text', '255', 6, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (30, 'messagelength', 'Maximum Message Length', 'The maximum number of characters to allow in a message. A setting of 0 allows an unlimited length.', 'text', '0', 1, 13);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (31, 'membersperpage', 'Members Per Page', 'The number of members to show per page on the member list.', 'text', '20', 1, 12);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (32, 'load', '*NIX Load Limiting', 'Limit the maximum server load before myBB rejects people.  0 for none.  Recommended limit is 5.0.', 'text', '0', 5, 27);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (33, 'emailkeep', 'Users Keep Email', 'If a current user has an email already registered in your banned list, should he be allowed to keep it.', 'yesno', 'no', 4, 14);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (34, 'ipban', 'Ban by IP', 'Here, you may specify IP addresses or a range of IP addresses.  You must separate each IP with a space.', 'textarea', '', 2, 14);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (35, 'emailban', 'Ban by Email', 'You may specify specific email addresses to ban, or you may specify a domain.  You must separate email addresses and domains with a space.', 'textarea', '', 3, 14);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (36, 'avatarsize', 'Max Uploaded Avatar Size', 'Maximum file size (in kilobytes) of uploaded avatars.', 'text', '10', 8, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (37, 'avatardir', 'Avatar Directory', 'The directory where your avatars are stored. These are used in the avatar list in the User CP.', 'text', 'images/avatars', 7, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (38, 'showeditedby', 'Show ''edited by'' Messages', 'Once a post is edited by a regular user, do you want to show the edited by message?', 'yesno', 'yes', 6, 13);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (39, 'maxposts', 'Maximum Posts Per Day', 'This is the total number of posts allowed per user per day.  0 for unlimited.', 'text', '0', 2, 13);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (40, 'showeditedbyadmin', 'Show ''edited by'' Message for Forum Staff', 'Do you want to show edited by messages for forum staff when they edit their posts?', 'yesno', 'yes', 7, 13);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (41, 'bannedusernames', 'Banned Usernames', 'Ban users from registering certain usernames.  Separate them with a space.', 'textarea', '', 1, 14);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (42, 'maxpolloptions', 'Maximum Number of Poll Options', 'The maximum number of options for polls that users can post.', 'text', '10', 3, 13);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (43, 'dotfolders', 'Use ''dot'' Icons', 'Do you want to show dots on the thread indicators of threads users have participated in.', 'yesno', 'yes', 8, 7);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (44, 'contactlink', 'Contact Us Link', 'This will be used for the Contact Us link on the bottom of all the forum pages. Can either be an email address (using mailto:email@website.com) or a hyperlink.', 'text', '#', 6, 1);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (45, 'showdescriptions', 'Show Forum Descriptions?', 'This option will allow you to turn off showing the descriptions for forums.', 'yesno', 'yes', 1, 16);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (46, 'showbirthdays', 'Show Today''s Birthdays?', 'Do you want to show today''s birthdays on the forum homepage?', 'yesno', 'yes', 2, 16);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (47, 'showwol', 'Show Who''s Online?', 'Display the currently active users on the forum home page.', 'yesno', 'yes', 4, 16);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (48, 'hideprivateforums', 'Hide Private Forums?', 'You can hide private forums by turning this option on. This option also hides forums on the forum jump and all subforums.', 'yesno', 'yes', 3, 16);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (49, 'showsimilarthreads', 'Show ''Similar Threads'' Table', 'The Similar Threads table shows threads that are relevant to the thread being read. You can set the relevancy below.', 'yesno', 'no', 5, 8);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (50, 'similarityrating', 'Similar Threads Relevancy Rating', 'This allows you to limit similar threads to ones more relevant (0 being not relevant). This number should not be over 10 and should not be set low (<5) for large forums.', 'text', '1', 7, 8);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (51, 'similarlimit', 'Similar Threads Limit', 'Here you can change the total amount of similar threads to be shown in the similar threads table. It is recommended that it is not over 15 for 56k users.', 'text', '10', 8, 8);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (52, 'privateeventcolor', 'Private Events Color', 'The color that private events will be shown in on the main calendar page.', 'text', 'red', 2, 17);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (53, 'publiceventcolor', 'Public Events Color', 'The color that public events will be shown in on the main calendar page.', 'text', 'green', 1, 17);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (55, 'hottopicviews', 'Views For Hot Topic', 'The number of views a thread can have before it is considered ''hot''.', 'text', '150', 7, 7);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (56, 'logip', 'Log Posting IP Addresses', 'Do you wish to log ip addresses of users who post, and who to you want to show ip addresses to.', 'radio\r\nno=Do not log IP\r\nhide=Show to Admins & Mods\r\nshow=Show to all Users', 'hide', 3, 13);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (57, 'statslimit', 'Stats Limit', 'The number of threads to show on the stats page for most replies and most views.', 'text', '15', 10, 1);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (58, 'modlist', 'Forums'' Moderator Listing', 'Here you can turn on or off the listing of moderators for each forum on index.php and forumdisplay.php', 'onoff', 'on', 5, 16);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (59, 'smilieinserter', 'Clickable Smilies Inserter', 'Clickable smilies will appear on the posting pages if this option is set to ''on''.', 'onoff', 'on', 1, 20);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (60, 'smilieinsertertot', 'No. of Smilies to show', 'Enter the total number of smilies to show on the clickable smilie inserter.', 'text', '20', 2, 20);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (61, 'smilieinsertercols', 'No. of Smilie Cols to Show', 'Enter the number of columns you wish to show on the clickable smilie inserter.', 'text', '4', 3, 20);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (62, 'showindexstats', 'Show Small Stats Section', 'Do you want to show the total number of threads, posts, members, and the last member on the forum home?', 'yesno', 'yes', 6, 16);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (63, 'regtype', 'Registration Method', 'Please select the method of registration to use when users register.', 'select\r\ninstant=Instant Activation\r\nverify=Send Email Verification\r\nrandompass=Send Random Password\r\nadmin=Administrator Activation', 'verify', 1, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (64, 'userpppoptions', 'User Selectable Posts Per Page', 'If you would like to allow users to select how many posts are shown per page in a thread, enter the options they should be able to select separated with commas. If this is left blank they will not be able to choose how many posts are shown per page.', 'text', '5,10,20,25,30,40,50', 2, 8);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (65, 'usertppoptions', 'User Selectable Threads Per Page', 'If you would like to allow users to select how many threads per page are shown in a forum, enter the options they should be able to select separated with commas. If this is left blank they will not be able to choose how many threads are shown per page.', 'text', '10,20,25,30,40,50', 6, 7);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (66, 'wolcutoffmins', 'Cut-off Time (mins)', 'The number of minutes before a user is marked offline. Recommended: 15.', 'text', '15', 1, 23);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (67, 'postfloodcheck', 'Post Flood Checking', 'Set to on if you want to enable flood checking for posts. Specify the time between posts below.', 'onoff', 'on', 4, 13);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (68, 'postfloodsecs', 'Post Flood Time', 'Set the time (in seconds) users have to wait between posting, to be in effect; the option above must be on.', 'text', '60', 5, 13);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (69, 'gzipoutput', 'Use GZip Page Compression?', 'Do you want to compress pages in GZip format when they are sent to the browser? This means quicker downloads for your visitors, and less traffic usage for you. The level of the compression is set by the server''s load.', 'yesno', 'yes', 1, 27);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (70, 'standardheaders', 'Send Standard Headers', 'With some web servers, this option can cause problems; with others, it is needed. ', 'yesno', 'no', 2, 27);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (71, 'nocacheheaders', 'Send No Cache Headers', 'With this option you can prevent caching of the page by the browser.', 'yesno', 'no', 3, 27);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (72, 'maxpostimages', 'Maximum Images per Post', 'Enter the maximum number of images (including smilies) a user can put in their post. Set to 0 to disable this.', 'text', '10', 8, 13);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (73, 'maxsigimages', 'Maximum Number of Images per Signature', 'Enter the maximum number of images (including smilies) a user can put in their signature. Set to 0 to disable this.', 'text', '2', 2, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (74, 'browsingthisforum', 'Users Browsing this Forum', 'Here you can turn off the ''users browsing this forum'' feature.', 'onoff', 'on', 9, 7);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (75, 'usereferrals', 'Use Referrals System', 'Do you want to use the user referrals system on these forums?', 'yesno', 'yes', 3, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (76, 'subscribeexcerpt', 'Amount of Characters for Subscription Previews', 'How many characters of the post do you want to send with the email notification of a new reply.', 'text', '100', 9, 13);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (77, 'cpstyle', 'Control Panel Style', 'The Default style that the control panel will use. Styles are inside the styles folder. A folder name inside that folder becomes the style title and style.css inside the style title folder is the css style file.', 'cpstyle', 'Axiom', 2, 28);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (78, 'cplanguage', 'Control Panel Language', 'The language of the control panel.', 'adminlanguage', 'english', 1, 28);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (79, 'minnamelength', 'Minimum Username Length', 'The minimum number of characters a username can be when a user registers.', 'text', '3', 5, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (80, 'maxnamelength', 'Maximum Username Length', 'The maximum number of characters a username can be when a user registers.', 'text', '30', 6, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (81, 'redirects', 'Friendly Redirection Pages', 'This will enable friendly redirection pages instead of bumping the user directly to the page.', 'onoff', 'on', 4, 27);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (82, 'betweenregstime', 'Time Between Registrations', 'The amount of time (in hours) to disallow registrations for users who have already registered an account under the same ip address.', 'text', '24', 2, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (83, 'maxregsbetweentime', 'Maximum Registrations Per IP Address', 'This option allows you to set the maximum amount of times a certain user can register within the timeframe specified above.', 'text', '2', 4, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (84, 'portal_showstats', 'Show forum statistics', 'Do you want to show the total number of posts, threads, members and the last registered member on the portal page?', 'yesno', 'yes', 5, 30);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (85, 'portal_showpms', 'Show the number of PMs to users', 'Do you want to show the number of private messages the current user has in their pm system.', 'yesno', 'yes', 4, 30);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (86, 'portal_showwelcome', 'Show the Welcome box', 'Do you want to show the welcome box to visitors / users.', 'yesno', 'yes', 3, 30);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (87, 'portal_numannouncements', 'Number of announcements to show', 'Please enter the number of announcements to show on the main page.', 'text', '10', 2, 30);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (90, 'portal_announcementsfid', 'Forum ID to pull announcements from', 'Please enter the forum id (fid) of the forum you wish to pull the announcements from', 'text', '1', 1, 30);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (92, 'portal_showwol', 'Show Who''s Online', 'Do you want to show the ''Who''s online'' information to users when they visit the portal page?', 'yesno', 'yes', 6, 30);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (93, 'portal_showsearch', 'Show Search Box', 'Do you want to show the search box, allowing users to quickly search the forums on the portal?', 'yesno', 'yes', 7, 30);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (94, 'portal_showdiscussions', 'Show Latest Discussions', 'Do you wish to show the current forum discussions on the portal page?', 'yesno', 'yes', 8, 30);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (95, 'portal_showdiscussionsnum', 'Number of latest discussions to show', 'Please enter the number of current forum discussions to show on the portal page.', 'text', '10', 9, 30);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (96, 'attachthumbh', 'Attached Thumbnail Maximum Height', 'Enter the width that attached thumbnails should be generated at.', 'text', '60', 12, 13);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (97, 'attachthumbw', 'Attached Thumbnail Maximum Width', 'Enter the width that attached thumbnails should be generated at.', 'text', '60', 13, 13);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (98, 'maxattachments', 'Maximum Attachments Per Post', 'The maximum number of attachments a user is allowed to upload per post.', 'text', '5', 10, 13);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (99, 'attachthumbnails', 'Show Attached Thumbnails in Posts', 'Do you want to show the generated thumbnails for attached images inside the posts?', 'yesno', 'yes', 11, 13);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (100, 'polloptionlimit', 'Maximum Poll Option Length', 'The maximum length that each poll option can be. (Set to 0 to disable).', 'text', '250', 1, 13);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (101, 'timezoneoffset', 'Default Timezone Offset', 'Here you can set the default timezone offset for guests and members using the default offset.', 'text', '+10', 4, 3);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (102, 'bblanguage', 'Default Language', 'The default language that MyBB should use for guests and for users without a selected language in their user control panel.', 'language', 'english', 7, 1);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (103, 'regimage', 'Antispam Registration Image', 'If yes, and GD is installed, an image will be shown during registration where users are required to enter the text contained within the image to continue with registration.', 'onoff', 'on', 1, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (104, 'reportmethod', 'Reported Posts Medium', 'Please select from the list how you want reported posts to be dealt with. Storing them in the database is probably the better of the options listed.', 'radio\r\ndb=Stored in the Database\r\npms=Sent as Private Messages\r\nemail=Sent via Email', 'db', 1, 1);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (105, 'threadreadcut', 'Read Threads in Database (Days)', 'The number of days that you wish to keep thread read information in the database. For large boards, we do not recommend a high number as the board will become slower. Set to 0 to disable.', 'text', '7', 3, 8);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (106, 'announcementlimit', 'Announcements Limit', 'The number of forum announcements to  show in the thread listing on the forum display pages. Set to 0 to show all active announcements.', 'text', '2', 10, 7);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (107, 'uploadspath', 'Uploads Path', 'The path used for all board uploads. It <b>must be chmod 777</b> (on Unix servers).', 'text', './uploads', 1, 27);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (109, 'maxavatardims', 'Maximum Avatar Dimensions', 'The maximum dimensions that an avatar can be, in the format of width<b>x</b>height. If this is left blank then there will be no dimension restriction.', 'text', '10x10', 1, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (110, 'avataruploadpath', 'Avatar Upload Path', 'This is the path where custom avatars will be uploaded to. This directory <b>must be chmod 777</b> (writable) for uploads to work.', 'text', './uploads/avatars', 1, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (111, 'subforumsindex', 'Subforums to show on Index listing', 'The number of subforums that you wish to show inside forums on the index and forumdisplay pages. Set to 0 to disable this', 'text', '2', 1, 16);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (112, 'disableregs', 'Disable Registrations', 'Allows you to turn off the capability for users to register with one click.', 'yesno', 'no', 9, 19);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (113, 'decpoint', 'Decimal Point', 'The decimal point you use in your region.', 'text', '.', 1, 1);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (114, 'thousandssep', 'Thousands Numeric Separator', 'The punctuation you want to use .  (for example, the setting \',\' with the number 1200 will give you a number such as 1,200)', 'text', ',', 1, 1);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (115, 'showvernum', 'Show Version Numbers', 'Allows you to turn off the public display of version numbers in MyBB.', 'onoff', 'off', 1, 1);";
$inserts[] = "INSERT INTO mybb_settings (sid, name, title, description, optionscode, value, disporder, gid) VALUES (116, 'customtitlemaxlength', 'Custom User Title Maximum Length', 'Maximum length a user can enter for the custom user title.', 'text', '40', 1, 19);";


$inserts[] = "INSERT INTO mybb_smilies (sid, name, find, image, disporder, showclickable) VALUES (1, 'Smile', ':)', 'images/smilies/smile.gif', 1, 'yes');";
$inserts[] = "INSERT INTO mybb_smilies (sid, name, find, image, disporder, showclickable) VALUES (2, 'Wink', ';)', 'images/smilies/wink.gif', 2, 'yes');";
$inserts[] = "INSERT INTO mybb_smilies (sid, name, find, image, disporder, showclickable) VALUES (3, 'Cool', ':cool:', 'images/smilies/cool.gif', 3, 'yes');";
$inserts[] = "INSERT INTO mybb_smilies (sid, name, find, image, disporder, showclickable) VALUES (4, 'Big Grin', ':D', 'images/smilies/biggrin.gif', 4, 'yes');";
$inserts[] = "INSERT INTO mybb_smilies (sid, name, find, image, disporder, showclickable) VALUES (5, 'Toungue', ':P', 'images/smilies/tongue.gif', 5, 'yes');";
$inserts[] = "INSERT INTO mybb_smilies (sid, name, find, image, disporder, showclickable) VALUES (6, 'Rolleyes', ':rolleyes:', 'images/smilies/rolleyes.gif', 6, 'yes');";
$inserts[] = "INSERT INTO mybb_smilies (sid, name, find, image, disporder, showclickable) VALUES (7, 'Shy', ':shy:', 'images/smilies/shy.gif', 7, 'yes');";
$inserts[] = "INSERT INTO mybb_smilies (sid, name, find, image, disporder, showclickable) VALUES (8, 'Sad', ':(', 'images/smilies/sad.gif', 8, 'yes');";
$inserts[] = "INSERT INTO mybb_smilies (sid, name, find, image, disporder, showclickable) VALUES (9, 'At', ':at:', 'images/smilies/at.gif', 9, 'no');";

$inserts[] = "INSERT INTO mybb_usergroups (gid, type, title, description, namestyle, usertitle, stars, starimage, image, isbannedgroup, canview, canviewprofiles, candlattachments, canpostthreads, canpostreplys, canpostattachments, canratethreads, caneditposts, candeleteposts, candeletethreads, caneditattachments, canpostpolls, canvotepolls, canusepms, cansendpms, cantrackpms, candenypmreceipts, pmquota, cansendemail, canviewmemberlist, canviewcalendar, canaddpublicevents, canaddprivateevents, canviewonline, canviewwolinvis, canviewonlineips, cancp, issupermod, cansearch, canusercp, canuploadavatars, canratemembers, canchangename, showforumteam, usereputationsystem, cangivereputations, reputationpower, maxreputationsday, candisplaygroup, attachquota, cancustomtitle) VALUES (1, 1, 'Unregistered / Not Logged In', '', '{username}', 'Unregistered', 0, '', '', 'no', 'yes', 'yes', 'no', 'no', 'no', 'no', 'no', 'yes', 'yes', 'yes', 'yes', 'no', 'no', 'no', 'no', 'no', 'no', 0, 'no', 'yes', 'yes', 'yes', 'no', 'yes', 'no', 'no', 'no', 'no', 'yes', 'no', 'no', 'no', 'no', '', 'no', 'no', 0, 0, '', 0, '');";
$inserts[] = "INSERT INTO mybb_usergroups (gid, type, title, description, namestyle, usertitle, stars, starimage, image, isbannedgroup, canview, canviewprofiles, candlattachments, canpostthreads, canpostreplys, canpostattachments, canratethreads, caneditposts, candeleteposts, candeletethreads, caneditattachments, canpostpolls, canvotepolls, canusepms, cansendpms, cantrackpms, candenypmreceipts, pmquota, cansendemail, canviewmemberlist, canviewcalendar, canaddpublicevents, canaddprivateevents, canviewonline, canviewwolinvis, canviewonlineips, cancp, issupermod, cansearch, canusercp, canuploadavatars, canratemembers, canchangename, showforumteam, usereputationsystem, cangivereputations, reputationpower, maxreputationsday, candisplaygroup, attachquota, cancustomtitle) VALUES (2, 1, 'Registered', '', '{username}', '', 0, 'images/star.gif', '', 'no', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 0, 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'no', 'no', 'no', 'no', 'yes', 'yes', 'yes', 'yes', 'no', 'no', 'yes', 'yes', 1, 5, '', 0, '');";
$inserts[] = "INSERT INTO mybb_usergroups (gid, type, title, description, namestyle, usertitle, stars, starimage, image, isbannedgroup, canview, canviewprofiles, candlattachments, canpostthreads, canpostreplys, canpostattachments, canratethreads, caneditposts, candeleteposts, candeletethreads, caneditattachments, canpostpolls, canvotepolls, canusepms, cansendpms, cantrackpms, candenypmreceipts, pmquota, cansendemail, canviewmemberlist, canviewcalendar, canaddpublicevents, canaddprivateevents, canviewonline, canviewwolinvis, canviewonlineips, cancp, issupermod, cansearch, canusercp, canuploadavatars, canratemembers, canchangename, showforumteam, usereputationsystem, cangivereputations, reputationpower, maxreputationsday, candisplaygroup, attachquota, cancustomtitle) VALUES (3, 1, 'Super Moderators', 'These users can moderate any forum.', '<font color=\"#CC00CC\"><b>{username}</b></font>', 'Super Moderator', 6, 'images/star.gif', '', 'no', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 0, 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'no', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 3, 10, '', 0, '');";
$inserts[] = "INSERT INTO mybb_usergroups (gid, type, title, description, namestyle, usertitle, stars, starimage, image, isbannedgroup, canview, canviewprofiles, candlattachments, canpostthreads, canpostreplys, canpostattachments, canratethreads, caneditposts, candeleteposts, candeletethreads, caneditattachments, canpostpolls, canvotepolls, canusepms, cansendpms, cantrackpms, candenypmreceipts, pmquota, cansendemail, canviewmemberlist, canviewcalendar, canaddpublicevents, canaddprivateevents, canviewonline, canviewwolinvis, canviewonlineips, cancp, issupermod, cansearch, canusercp, canuploadavatars, canratemembers, canchangename, showforumteam, usereputationsystem, cangivereputations, reputationpower, maxreputationsday, candisplaygroup, attachquota, cancustomtitle) VALUES (4, 1, 'Administrators', 'The group all administrators belong to.', '<font color=\"green\"><b><i>{username}</i></b></font>', 'Administrator', 7, 'images/star.gif', '', 'no', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 0, 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 5, 0, '', 0, 'yes');";
$inserts[] = "INSERT INTO mybb_usergroups (gid, type, title, description, namestyle, usertitle, stars, starimage, image, isbannedgroup, canview, canviewprofiles, candlattachments, canpostthreads, canpostreplys, canpostattachments, canratethreads, caneditposts, candeleteposts, candeletethreads, caneditattachments, canpostpolls, canvotepolls, canusepms, cansendpms, cantrackpms, candenypmreceipts, pmquota, cansendemail, canviewmemberlist, canviewcalendar, canaddpublicevents, canaddprivateevents, canviewonline, canviewwolinvis, canviewonlineips, cancp, issupermod, cansearch, canusercp, canuploadavatars, canratemembers, canchangename, showforumteam, usereputationsystem, cangivereputations, reputationpower, maxreputationsday, candisplaygroup, attachquota, cancustomtitle) VALUES (5, 1, 'Awaiting Activation', 'Users that have not activated their account by email yet.', '{username}', 'Account not Activated', 0, 'images/star.gif', '', 'no', 'yes', 'yes', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 20, 'no', 'yes', 'yes', 'no', 'no', 'yes', 'no', 'no', 'no', 'no', 'yes', 'yes', 'no', 'no', 'no', '', 'no', 'no', 0, 0, '', 0, '');";
$inserts[] = "INSERT INTO mybb_usergroups (gid, type, title, description, namestyle, usertitle, stars, starimage, image, isbannedgroup, canview, canviewprofiles, candlattachments, canpostthreads, canpostreplys, canpostattachments, canratethreads, caneditposts, candeleteposts, candeletethreads, caneditattachments, canpostpolls, canvotepolls, canusepms, cansendpms, cantrackpms, candenypmreceipts, pmquota, cansendemail, canviewmemberlist, canviewcalendar, canaddpublicevents, canaddprivateevents, canviewonline, canviewwolinvis, canviewonlineips, cancp, issupermod, cansearch, canusercp, canuploadavatars, canratemembers, canchangename, showforumteam, usereputationsystem, cangivereputations, reputationpower, maxreputationsday, candisplaygroup, attachquota, cancustomtitle) VALUES (6, 1, 'Moderators', 'These users moderate specific forums.', '<font color=\"#CC00CC\"><b>{username}</b></font>', 'Moderator', 5, 'images/star.gif', '', 'no', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 0, 'yes', 'yes', 'yes', 'no', 'no', 'yes', 'no', 'no', 'no', 'no', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 'yes', 3, 10, '', 0, '');";
$inserts[] = "INSERT INTO mybb_usergroups (gid, type, title, description, namestyle, usertitle, stars, starimage, image, isbannedgroup, canview, canviewprofiles, candlattachments, canpostthreads, canpostreplys, canpostattachments, canratethreads, caneditposts, candeleteposts, candeletethreads, caneditattachments, canpostpolls, canvotepolls, canusepms, cansendpms, cantrackpms, candenypmreceipts, pmquota, cansendemail, canviewmemberlist, canviewcalendar, canaddpublicevents, canaddprivateevents, canviewonline, canviewwolinvis, canviewonlineips, cancp, issupermod, cansearch, canusercp, canuploadavatars, canratemembers, canchangename, showforumteam, usereputationsystem, cangivereputations, reputationpower, maxreputationsday, candisplaygroup, attachquota, cancustomtitle) VALUES (7, 1, 'Banned', 'This is for people who are a pain in the neck!', '<s>{username}</s>', 'Banned', 0, 'images/star.gif', '', 'yes', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'yes', 'no', 'no', 'no', 0, 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 'no', 0, 0, '', 0, '');";

$inserts[] = "INSERT INTO mybb_usertitles (utid, posts, title, stars, starimage) VALUES (1, 0, 'Newbie', 1, '');";
$inserts[] = "INSERT INTO mybb_usertitles (utid, posts, title, stars, starimage) VALUES (2, 1, 'Junior Member', 2, '');";
$inserts[] = "INSERT INTO mybb_usertitles (utid, posts, title, stars, starimage) VALUES (3, 50, 'Member', 3, '');";
$inserts[] = "INSERT INTO mybb_usertitles (utid, posts, title, stars, starimage) VALUES (4, 250, 'Senior Member', 4, '');";
$inserts[] = "INSERT INTO mybb_usertitles (utid, posts, title, stars, starimage) VALUES (5, 750, 'Posting Freak', 5, '');";
?>
